// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class StackOfShaftsAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new StackOfShaftsAddonDeed();
			}
		}

		[ Constructable ]
		public StackOfShaftsAddon()
		{
			AddComponent( new AddonComponent( 7126 ), 0, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 7126 );
			AddComponent( ac, 0, 0, 0 );

		}

		public StackOfShaftsAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class StackOfShaftsAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new StackOfShaftsAddon();
			}
		}

		[Constructable]
		public StackOfShaftsAddonDeed()
		{
			Name = "StackOfShafts";
		}

		public StackOfShaftsAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}